Bug 431970 - ThinkPad T61/Intel HDA volume up/down/mute buttons don't work
ThinkPad T61/Intel HDA volume up/down/mute buttons don't work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-07 23:38 EST by Charles R. Anderson
Modified: 2008-03-04 17:51 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 17:51:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2008-02-07 23:38:57 EST
Description of problem:

The volume up/down/mute buttons on this ThinkPad T61/Intel HDA don't work.  Not
sure which component to file this under, so using kernel for now in case it is a
driver issue.  I think this worked in earlier F9 kernels, but it doesn't now
with rawhide circa F9Alpha.

Version-Release number of selected component (if applicable):
kernel-2.6.24-23.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1. play music
2. press up/down/mute buttons on keyboard
3. nothing happens.  no volume change.  no on-screen display.

Additional info:

Audio device from lspci:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller
(rev 03)
        Subsystem: Lenovo ThinkPad T61
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin B routed to IRQ 17
        Region 0: Memory at fe020000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA
PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
                Address: 0000000000000000  Data: 0000
        Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1
<1us
                        ExtTag- RBE- FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
                        MaxPayload 128 bytes, MaxReadReq 128 bytes
                DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
                LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency
L0 <64ns, L1 <1us
                        ClockPM- Suprise- LLActRep- BwNot-
                LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk-
DLActive- BWMgmt- ABWMgmt-
        Capabilities: [100] Virtual Channel <?>
        Capabilities: [130] Root Complex Link <?>
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel
Comment 1 Chuck Ebbert 2008-02-08 18:04:06 EST
Should be fixable by adding 

  acpi_osi="Linux"

to the kernel boot options (please test.) Should also be fixed in 2.6.23.15
kernels, which will do this automatically.
Comment 2 Charles R. Anderson 2008-02-08 19:53:09 EST
No change when adding that boot option.

If I use "showkey" on the console, I get output when I press the volume keys
either with or without the acpi_osi="Linux" boot option:

Mute:
keycode 113 press
keycode 113 release

Volume Down:
keycode 114 press
keycode 114 release

Volume Up:
keycode 115 press
keycode 115 release
Comment 3 Charles R. Anderson 2008-03-04 17:51:05 EST
The buttons work now.  Closing.

Note You need to log in before you can comment on or make changes to this bug.